<!--
.. title: ASRock M3A UCC - FreeBSD - 2013 archive
.. slug: freebsd-2013
.. date: 2024-10-26 22:58:23 UTC+02:00
.. tags: 
.. category: 
.. link: 
.. description: 
.. type: text
-->

back to [main FreeBSD](../freebsd) page for this machine.

2013 archive.

2013-12-22: slice 2 - interrupt storm again:
```
Dec 22 03:00:00 kg-fil kernel: interrupt storm detected on "irq22:"; throttling interrupt source
Dec 22 03:00:31 kg-fil last message repeated 31 times
Dec 22 03:02:32 kg-fil last message repeated 120 times
Dec 22 03:12:33 kg-fil last message repeated 600 times
```
As always, reboot the machine.

2013-04-18: slice 2 - MythTV: added the scripts from this write-up, so that I could get epg info for Disney Channel and MAX. I had to change the scripts slightly, and install misc/seq2, 
in order to get grabseguide to work. Scripts are `~/bin/grabseguide` and `~/bin/se2xml.pl`.
Differences from the original se2xml.pl:
```sh
$ diff -u ~/dl/se2xml.pl ~/bin/se2xml.pl
--- /home/mythtv/dl/se2xml.pl    2013-03-21 16:16:51.000000000 +0100
+++ /home/mythtv/bin/se2xml.pl    2013-04-18 23:44:46.000000000 +0200
@@ -4,7 +4,8 @@
 # resultat er en fil som kan fores til mythfilldatabase
 #
 # krever en fil med mapping av kanalnummer til xmltvid i mythtv
-$idfile="/data/epg/xmltvid.txt";
+#$idfile="/data/epg/xmltvid.txt";
+$idfile="~/work/xmltvid.txt";
 
 use Getopt::Std;
 getopts('c');        # '-c' lister kanaler istedet for programmer
Differences from the original grabseguide:
$ diff -u ~/dl/grabseguide ~/bin/grabseguide
--- /home/mythtv/dl/grabseguide    2013-04-09 10:56:49.000000000 +0200
+++ /home/mythtv/bin/grabseguide    2013-04-19 00:19:36.000000000 +0200
@@ -21,11 +21,12 @@
 # scriptet bør kjøres daglig fra crontab med 0-6 som argument (fanger opp evt programendringer)
 
 # sjekk/edit disse variablene
-sourceid="1 2 3 4"    # nummerering av mythtv tunere
-wget="/usr/bin/wget"
+#sourceid="1 2 3 4"    # nummerering av mythtv tunere
+sourceid="1"    # nummerering av mythtv tunere
+wget="/usr/local/bin/wget"
 filldb="/usr/local/bin/mythfilldatabase"
-epgdir="/data/epg"
-xmlgen="$epgdir/se2xml.pl"
+epgdir="~/work/epg"
+xmlgen="~/bin/se2xml.pl"
 cookies="$epgdir/se_cookies.txt"
 sys=$(uname)
 
@@ -52,7 +53,8 @@
       ?,*)    d=$(echo $1 | sed -e 's/,/ /g');;
      ?-?)    s=$(echo $1 | cut -d '-' -f 1);
             t=$(echo $1 | cut -d '-' -f 2);
-           d=$(seq $s 1 $t);;
+           #d=$(seq $s 1 $t);;
+           d=$(seq2 -s $s -i 1 -e $t);;
     esac
     shift
 done
@@ -74,7 +76,8 @@
         $xmlgen \> $epgdir/$pdate.xml
     for s in $sourceid
     do
-        rc $filldb --file --sourceid $s --xmlfile $epgdir/$pdate.xml --nodblog \>/dev/null
+        #rc $filldb --file --sourceid $s --xmlfile $epgdir/$pdate.xml --nodblog \>/dev/null
+        rc $filldb --file $s -1 $epgdir/$pdate.xml  \>/dev/null
     done
     rc rm $epgdir/$pdate.xml
 done
```
That is all.

2013-04-18: slice 2 - MythTV: added channel MAX at program number 10, frequency 154250, xmltvid: max.tvnorge.no.

2013-04-18: slice 2 - MythTV: moved TV2 Nyhetskanalen from program number 20 to 6. Disney Channel from program number 17 to 11,

2013-04-18: slice 2 - MythTV: a few channels are removed, so I used Mythweb to rearrange them, by changing their program number: Viasat 4: 6 -> 98, SVT 2: 10 -> 97, NatGeo: 11 -> 96, 
Travel: 12 -> 95, CNN: 13 -> 94, MTV: 14 -> 93, SportN: 15 -> 92, Eurosport: 18 -> 91, TCM: 19 -> 90,

2013-04-18: slice 2 - MythTV - I used Mythweb to change frequency on some channels: NRK 2: 253250 -> 168250, TV2 Zebra: 431250 -> 217250, SVT 1: 246250 -> 210250, 
TV2 Nyhetskanalen: 415250 -> 535250.

2013-02-08: slice 2 - tv_grab_no has failed to get new data for several days now. It seems that db.no's mobile pages are gone, don't know if this is an error, or if they just stopped. 
Temporary workaround: I copied tv_grab_no_gfeed from the machine quiet:
```sh
$ id
uid=119(mythtv) gid=119(mythtv) groups=119(mythtv)
$ tv_grab_no_gfeed --version
XMLTV module version 0.5.45
This is tv_grab_no_gfeed version 1.8, 2010/10/01 17:49:30
```
I configured it, and run this manually to update the listings:
```sh
$ tv_grab_no_gfeed --output ~/work/tv.xml; replace nyhetskanalen.tv2.no nyhet.tv2.no disneychannel.no disneychannel.tv tv3.viasat.no tv3.no -- ~/work/tv.xml; mythfilldatabase --file 1 -1 ~/work/tv.xml
```
replace is part of MySQL. The only downside is that tv_grab_no_gfeed is missing a few channels: CNN, CNBC & National Geographic, MTV Europe, TCM & Cartoon Network, Travel Channel.

2013-01-26: slice 2 - another interrupt storm:
```
Jan 26 11:23:37 kg-fil kernel: interrupt storm detected on "irq22:"; throttling interrupt source
Jan 26 11:24:08 kg-fil last message repeated 31 times
Jan 26 11:26:09 kg-fil last message repeated 121 times
```
Another reboot of the machine.

2013-01-21: slice 2 - mythweb. I patched mythweb so that the TV.com search on the program details page is working. mythweb files are located in /usr/local/www/mythweb, and the relevant template 
is in ./modules/tv/tmpl/default/detail.php. After the deed, the relevant line looks like this:
```
                    <a href="http://www.tv.com/search?type=11&stype=all&q=<?php echo urlencode($schedule->title) ?>"><?php echo t('TV.com') ?></a>
```
Now, fixing the IMDb search too. It's in the same template, and before modifying, it looks like this:
```
                    <a href="http://www.imdb.com/Find?select=Titles&for=<?php echo urlencode($schedule->title) ?>"><?php echo t('IMDB') ?></a>
```
afterwards, it looks like this:
```
                    <a href="http://www.imdb.com/search/title?title=<?php echo urlencode($schedule->title) ?>"><?php echo t('IMDB') ?></a>
```
all done.
